import java.io.IOException;

import okhttp3.Call;
import okhttp3.OkHttpClient;
import okhttp3.Request;
import okhttp3.Response;
import quant.rich.emoney.patch.okhttp.PatchOkHttp;
import quant.rich.emoney.patch.okhttp.PatchOkHttpRule;
import quant.rich.emoney.util.EncryptUtils;

public class ByteBuddyTest {
    
    
    public static void main(String[] args) throws IOException {
        
        
        PatchOkHttp.apply(
                r -> r.not(a -> a.isHttps())
                .overrideHeader("User-Agent", "okhttp/3.12.2")
                );
        
        OkHttpClient client = new OkHttpClient();
        
        Request.Builder requestBuilder = new Request.Builder()
                .url("http://localhost")
                .get();
        
        Request request = requestBuilder.build();
        request.newBuilder();
        final Call call = client.newCall(request);
        Response response = call.execute();
        
        
        
    }

}
